package com.hna.ice.servant.core;

import Glacier2.CannotCreateSessionException;
import Glacier2.SessionControlPrx;
import Glacier2.SessionPrx;
import Glacier2._SessionManagerDisp;
import Ice.Current;

import com.hna.ice.servant.multi.ChatSessionI;

/**
 * ԶSession
 * 
 * @author liulibo
 * 
 */
public class MySessionManagerI extends _SessionManagerDisp {

	@Override
	public SessionPrx create(String userId, SessionControlPrx control, Current current) throws CannotCreateSessionException {
		// MySessionI session = new MySessionI();
		ChatSessionI session = new ChatSessionI(userId);
		Glacier2.SessionPrx proxy = Glacier2.SessionPrxHelper.uncheckedCast(current.adapter.addWithUUID(session));
		return proxy;
	}

}
